package ru.yandex.autotests.directapi.darkside.model.bslogs.clientdata;

import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;
import java.util.List;

public class ShowCondition {

    @SerializedName("StopTime")
    private String stopTime;

    @SerializedName("DisabledIps")
    private List<Long> disabledIps = new ArrayList<>();

    @SerializedName("TimeZone")
    private String timeZone;

    @SerializedName("BroadMatchLimit")
    private Integer broadMatchLimit;

    @SerializedName("MinusPhrases")
    private List<String> minusPhrases;

    @SerializedName("TargetTimeWorking")
    private Integer targetTimeWorking;

    @SerializedName("TargetType")
    private List<Integer> targetType = new ArrayList<>();

    @SerializedName("DeviceType")
    private List<Object> deviceType = new ArrayList<>();

    @SerializedName("TargetTime")
    private List<String> targetTime;

    @SerializedName("TargetTimeLike")
    private List<String> targetTimeLike;

    @SerializedName("BroadMatchRate")
    private String broadMatchRate;

    @SerializedName("DontShowDomains")
    private List<String> dontShowDomains = new ArrayList<>();

    @SerializedName("DontShowSSP")
    private List<String> dontShowSSP = new ArrayList<>();

    @SerializedName("PageID")
    private List<Integer> pageID = new ArrayList<>();

    @SerializedName("FrontpageTypes")
    private List<String> frontpageTypes = new ArrayList<>();

    public String getStopTime() {
        return stopTime;
    }

    public void setStopTime(String stopTime) {
        this.stopTime = stopTime;
    }

    public List<Long> getDisabledIps() {
        return disabledIps;
    }

    public void setDisabledIps(List<Long> disabledIps) {
        this.disabledIps = disabledIps;
    }

    public String getTimeZone() {
        return timeZone;
    }

    public void setTimeZone(String timeZone) {
        this.timeZone = timeZone;
    }

    public Integer getBroadMatchLimit() {
        return broadMatchLimit;
    }

    public void setBroadMatchLimit(Integer broadMatchLimit) {
        this.broadMatchLimit = broadMatchLimit;
    }

    public Integer getTargetTimeWorking() {
        return targetTimeWorking;
    }

    public void setTargetTimeWorking(Integer targetTimeWorking) {
        this.targetTimeWorking = targetTimeWorking;
    }

    public List<Integer> getTargetType() {
        return targetType;
    }

    public void setTargetType(List<Integer> targetType) {
        this.targetType = targetType;
    }

    public List<Object> getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(List<Object> deviceType) {
        this.deviceType = deviceType;
    }

    public List<String> getTargetTime() {
        return targetTime;
    }

    public void setTargetTime(List<String> targetTime) {
        this.targetTime = targetTime;
    }

    public List<String> getTargetTimeLike() {
        return targetTimeLike;
    }

    public void setTargetTimeLike(List<String> targetTimeLike) {
        this.targetTimeLike = targetTimeLike;
    }

    public String getBroadMatchRate() {
        return broadMatchRate;
    }

    public void setBroadMatchRate(String broadMatchRate) {
        this.broadMatchRate = broadMatchRate;
    }

    public List<String> getDontShowDomains() {
        return dontShowDomains;
    }

    public void setDontShowDomains(List<String> dontShowDomains) {
        this.dontShowDomains = dontShowDomains;
    }

    public List<String> getDontShowSSP() {
        return dontShowSSP;
    }

    public void setDontShowSSP(List<String> dontShowSSP) {
        this.dontShowSSP = dontShowSSP;
    }

    public void setMinusPhrases(List<String> minusPhrases) {
        this.minusPhrases = minusPhrases;
    }

    public List<String> getMinusPhrases() {
        return minusPhrases;
    }

    public void setPageID(List<Integer> allowedPageIds) {
        this.pageID = allowedPageIds;
    }

    public List<Integer> getPageID() {
        return pageID;
    }

    public void setFrontpageTypes(List<String> allowedFrontpageTypes) {
        this.frontpageTypes = allowedFrontpageTypes;
    }

    public List<String> getFrontpageTypes() {
        return frontpageTypes;
    }
}
